For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve shopping cart contents

Use this method to get information on the products added to the shopping cart during the current cart session.

Request parameters

Parameter
Type/Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner
require('PATH_TO_addProduct'); // addProduct example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/08Place_an_order/00Add_product_to_cart

try {
    $CartContents= $client->getContents ($sessionID);
} catch (SoapFault $e) {
    echo "Contents: " . $e->getMessage();
    exit;
}
var_dump ("Contents ", $CartContents);

Response parameters

Parameter
Type / Description

Contents

Object Cart contents object.

Errors

Error
Description

EMPTY_CART

The shopping cart is empty.

Last updated

Was this helpful?